For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create wallets in bulk

This endpoint allows you to create multiple wallets at once within your organization (up to 1,000). You can set up wallet details including names, currency settings, spending limits, and team assignme

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint allows you to create multiple wallets at once within your organization (up to 1,000). You can set up wallet details including names, currency settings, spending limits, and team assignments."

Create wallets in bulk

Create wallets in bulk

post

This endpoint allows you to create multiple wallets at once within your organization (up to 1,000). You can set up wallet details including names, currency settings, spending limits, and team assignments.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

Details of the created wallets.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

messagestringOptional

Status message or result description for the bulk operation.

statusstring · enumOptionalDefault: BULK_OPERATION_UNSPECIFIEDPossible values:
post/v2/wallets/bulk/create
POST /v2/wallets/bulk/create HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 211

{
  "wallets": [
    {
      "archived": false,
      "creditLimit": "50000.00",
      "currencyCode": "USD",
      "dailyBudget": "1000.00",
      "externalId": "ext_789GHI",
      "name": "MainCompanyWallet",
      "namespaceId": "namespace_xyz987",
      "teamId": "team_456DEF"
    }
  ]
}
{
  "bulkId": "text",
  "message": "text",
  "status": "BULK_OPERATION_UNSPECIFIED"
}